
#if defined(MYSQL_IN) || defined(MYPG_IN)

#include <stdlib.h>
#include <stdio.h>
#include<arpa/inet.h>

#include<mysql.h>

#include"zither.h"
#include<almemsys/almemsys.h>
#include"jpreturn.h"

//extern  MYSQL mysql_buf;
//extern  MYSQL * my_conn;
//extern  MYSQL_RES * my_result;

extern  global_data_t gd;


int mysqlexec_datain(char * swap)
{
int ret;
ret = 0;

if(gd.mysql.stat == 1){
   // mysql に問い合わせ
   if(mysql_query(&gd.mysql.mysql_buf, swap) != 0){ 
      fprintf(stderr,"mysqlexec_datain(0): といあわせができません %s %s\n", mysql_error(&gd.mysql.mysql_buf), swap);
      ret = -1;
      }
   }

else{
   gd.mysql.stat = mysqlconnect(gd.mysql.mysql_server, gd.mysql.mysql_username, gd.mysql.mysql_password, gd.mysql.mysql_db);
   fprintf(stderr, "mysqlexec_datain(2): つなぎなおしてみました %s\n", swap);
   if(gd.mysql.stat == 1){
      // mysql に問い合わせ
      if(mysql_query(&gd.mysql.mysql_buf, swap) != 0){ 
         fprintf(stderr,"mysqlexec_datain(3): やはりといあわせが出来ません %s\n", mysql_error(&gd.mysql.mysql_buf));
         ret = -1;
         }
      }
   else{
      fprintf(stderr, "mysqlexec_datain(5): やっぱダメかもです %s\n", swap);
      ret = -1;
      }
   }

return ret;
}

#endif




